FLAM® Issue Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000948FL53. Subsystem, Driver, Plugin, SPIpublic2018-10-05 13:042019-02-17 17:46
ReporterFalk Reichbott 
Assigned ToUlrich Schwab 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformGeneralOSGeneralOS VersionGeneral
Product Version5.1.18 
Target Version5.1.20Fixed in Version5.1.20 
Summary0000948: Add support for different logical views on the same physiscal folder in flucFS
DescriptionCurrently flucFS supports only one read configuration. In the future it would be nice if different read configurations can be mounted by different names, e.g. one for PartnerA, one for PartnerB and one for the own employees.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001210)
Falk Reichbott (administrator)
2019-02-17 17:46

The new executable flucFSview and flucFSviewconf and support over the GUI for view configuration are now available. The view allows to configure different logical folders to the same physical data, e.g. one view shows the clear files to the own employees and other views shows the encrypted PGP files for the different partners encrypted with the partner public key. In all these cases the file exists only once as PGP file encrypted under the own repository key. FLAM 5.1.20 was also extended to re-encrypt PGP files at read from one key to another keys to manage PGP files after generation.

The views can also be used to provide the same data stored as GZIP file as CSV stream for import in Excel or SAP, in a XML format for the data ware house and as list of FIX structures for a old COBOL application using Copybooks.

- Issue History
Date Modified Username Field Change
2018-10-05 13:04 Falk Reichbott New Issue
2018-10-05 13:04 Falk Reichbott Status new => assigned
2018-10-05 13:04 Falk Reichbott Assigned To => Ulrich Schwab
2018-11-02 12:38 Falk Reichbott Target Version 5.1.19 => 5.1.20
2019-02-17 17:46 Falk Reichbott Note Added: 0001210
2019-02-17 17:46 Falk Reichbott Status assigned => resolved
2019-02-17 17:46 Falk Reichbott Fixed in Version => 5.1.20
2019-02-17 17:46 Falk Reichbott Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker